
import { makeStyles } from '@material-ui/core'
import { useState } from 'react';
import ImageListItem from '@mui/material/ImageListItem';
import { handleDownload } from '../../../../../../../../../helpers'

const useStyles = makeStyles({ 
  overlay: {
    position: 'fixed',
    top: 0,
    left: 0,
    width: '100vw',
    height: '100vh',
    zIndex: 100,
    backgroundColor: 'rgba(104, 105, 104, 0.6)',
    border: 'solid 1px rgba(179, 179, 179, 0.6)',
    overflowY: 'hidden',
    boxSizing: 'border-box',
    display: 'flex',
    justifyContent: 'center',
    alignContent: 'center',
    alignItems: 'center'
  },
});
const MediaListItem = ({ message,fullType }: { message: string,fullType:string }) => {
  const classes = useStyles();
  const [watch, setWatch] = useState<boolean>(false)
  const handleOpenWatch = () => !watch && setWatch(true)
  const handleCloseWatch = (e:any) => e.target.id === 'overlay'&&watch&&setWatch(false)
  
  const url = `http://localhost:3000/${message}`
  
  return (watch ?
    <div onClick={handleCloseWatch} id='overlay' className={classes.overlay}>
      <img onClick={() => handleDownload(url, fullType)}
        width='40%' alt='imageItem' src={url} style={{cursor:'pointer'}} />
    </div> :
    <ImageListItem>
      <img onClick={handleOpenWatch} style={{cursor:'pointer'}}
        src={`${url}?w=164&h=164&fit=crop&auto=format`}
        srcSet={`${url}?w=164&h=164&fit=crop&auto=format&dpr=2 2x`}
        alt='imageItem' loading="lazy" />
    </ImageListItem>
      
  )
}

export default MediaListItem