
import ImageList from '@mui/material/ImageList';
import MediaListItem from './MediListItem';

import AlertInfo from '../../../../../../../reusableComponents/AlertInfo';
import { TMessages } from '../../../../../../../../typescript/redux/messages/types'

const MediaList = ({ messagesMemo }: { messagesMemo: TMessages }) => {
  const filteredMessagesMemo =  messagesMemo.filter(({ type }) => type === 'image')
  return filteredMessagesMemo.length > 0 ?(
      <ImageList sx={{ width: '100%', height: 'auto' }} cols={3} rowHeight={164}>
        {filteredMessagesMemo.map(({message,createdAt,fullType}) => 
          <MediaListItem key={createdAt} message={message} fullType={fullType}/>)}
      </ImageList>
   ): <AlertInfo name='You do not have Media yet!'/>  
}

export default MediaList