import List from '@mui/material/List';
import ListItem from '@mui/material/ListItem';
import ListItemText from '@mui/material/ListItemText';
import ListItemAvatar from '@mui/material/ListItemAvatar';
import Avatar from '@mui/material/Avatar';
import { makeStyles } from '@material-ui/core'

import AlertInfo from '../../../../../../../reusableComponents/AlertInfo';
import { timeStampEU,firstLetter } from '../../../../../../../../helpers'
import { TMessages } from '../../../../../../../../typescript/redux/messages/types'

const useStyles = makeStyles({
    folderIcon: {
      color: '#54b0fc',
      cursor: 'pointer',
      '&:hover': {
        color: '#016cc3'
      },
    },
})
const TextList = ({ messagesMemo }: { messagesMemo: TMessages }) => {
    const classes = useStyles()
    const filteredMessagesMemo =  messagesMemo.filter(({type}) => type === 'text')
    return filteredMessagesMemo.length > 0 ?(
      <List>
        {filteredMessagesMemo.map(({message,createdAt,lastName,name,color}) => 
          <ListItem key={createdAt} alignItems="flex-start">
            <ListItemAvatar>
              <Avatar alt="Credentials" style={{background: color}}>
                {`${firstLetter(name)}${firstLetter(lastName)}`}
              </Avatar>
            </ListItemAvatar>
            <ListItemText
              primary={message}
              secondary={timeStampEU(createdAt)}
            />
        </ListItem>)}
    </List>
   ): <AlertInfo name='You do not have Text yet!'/>  
}

export default TextList